/*
 *  libradio, a simple fm tuner control library 
 *  Copyright (C) 1999  Dan Johnson <dj51d@progworks.net>
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Software Foundation, Inc., 59 Temple Place - Suite 330, Boston,
 *  MA 02111-1307, USA
 */
#ifndef RADIO_H
#define RADIO_H
#include <asm/types.h>
#ifdef __cplusplus
extern "C" {
#endif

#define RADIO_DEV_OPEN_FAILURE 1
#define RADIO_MALLOC_ERROR 2
#define RADIO_OK 0
#define RADIO_FEATURE_UNSUPPORTED 3
#define RADIO_BAD_FREQUENCY 4
#define RADIO_DEV_NOT_OPEN 5

  /* radio.c functions */
int radio_init();
void radio_exit();
int set_freq(float);
int set_bass(__u16);
int set_treble(__u16);
int set_volume(__u16);
int mute();
int unmute();
int get_freq(float *);
int get_bass(__u16 *);
int get_treble(__u16 *);
int get_volume(__u16 *);
int get_signal(__u16 *);
int get_audio_flags(__u32 *);
int get_audio_mode(__u16 *);

  /* version.c functions */
char *radio_version();

#ifdef __cplusplus
}
#endif
#endif
